aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/bcm53xx/base-files/lib
diff options
context:
space:
mode:
authorRafał Miłecki <zajec5@gmail.com>2015-04-14 20:50:46 +0000
committerRafał Miłecki <zajec5@gmail.com>2015-04-14 20:50:46 +0000
commit0d8a721eb1954e6e8e8e491f669bf7e4a4d3353e (patch)
treeec2d375d0d47869748ddd7fddd43f83fe7781786 /target/linux/bcm53xx/base-files/lib
parentbd81f54e15381e5339a80874c93ffcdf88d74afb (diff)
downloadmaster-187ad058-0d8a721eb1954e6e8e8e491f669bf7e4a4d3353e.tar.gz
master-187ad058-0d8a721eb1954e6e8e8e491f669bf7e4a4d3353e.tar.bz2
master-187ad058-0d8a721eb1954e6e8e8e491f669bf7e4a4d3353e.zip
otrx: change command line API to start with a mode
This will allow adding more modes without options conflict. Signed-off-by: Rafał Miłecki <zajec5@gmail.com> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@45443 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/bcm53xx/base-files/lib')
-rw-r--r--target/linux/bcm53xx/base-files/lib/upgrade/platform.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh b/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh
index f5505219b0..876da4d6f8 100644
--- a/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh
@@ -79,7 +79,7 @@ platform_check_image() {
error=1
}
- if ! otrx -c "$1" -o "$header_len"; then
+ if ! otrx check "$1" -o "$header_len"; then
echo "No valid TRX firmware in the CHK image"
error=1
fi
@@ -94,13 +94,13 @@ platform_check_image() {
error=1
}
- if ! otrx -c "$1" -o 32; then
+ if ! otrx check "$1" -o 32; then
echo "No valid TRX firmware in the CyberTAN image"
error=1
fi
;;
"trx")
- if ! otrx -c "$1"; then
+ if ! otrx check "$1"; then
echo "Invalid (corrupted?) TRX firmware"
error=1
fi
@@ -140,7 +140,7 @@ platform_pre_upgrade() {
# Extract partitions from trx
rm -fR $dir
mkdir -p $dir
- otrx -e "$trx" \
+ otrx extract "$trx" \
-1 $dir/kernel \
-2 $dir/root